Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162988 - Bugzilla [process_bug.cgi] reported an internal error [Bugzilla/DB.pm line 71]
Summary: Bugzilla [process_bug.cgi] reported an internal error [Bugzilla/DB.pm line 71]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.18
Hardware: All
OS: Linux
medium
high vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 00:11 UTC by Aleksey Nogin
Modified: 2007-04-18 17:29 UTC (History)
1 user (show)

Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-02 04:19:50 UTC


Attachments (Terms of Use)
Full process_bug.cgi output (including the complete error message) (deleted)
2005-07-12 00:11 UTC, Aleksey Nogin
no flags Details
full process_bug.cgi output (deleted)
2005-11-29 16:27 UTC, Charles R. Anderson
no flags Details

Description Aleksey Nogin 2005-07-12 00:11:42 UTC
I've just gotten an "internal error" from Bugzilla. The error message starts with:

undef error - DBD::Pg::st execute failed: ERROR: syntax error at or near "WHERE"
at character 455 [for Statement "SELECT DISTINCT groups.id, name, description,
bug_group_map.group_id IS NOT NULL, user_group_map.group_id IS NOT NULL,
isactive, membercontrol, othercontrol FROM groups LEFT JOIN bug_group_map ON
bug_group_map.group_id = groups.id AND bug_id = 156322 LEFT JOIN user_group_map
ON user_group_map.group_id = groups.id AND user_id = 65 AND isbless = 0 LEFT
JOIN group_control_map ON group_control_map.group_id = groups.id AND
group_control_map.product_id = WHERE isbuggroup = 1"] at Bugzilla/DB.pm line 71

The full page containing the error is attached. I was updating bug 159226
(adding a comment, adding myself to the CC list via the "add me" checkbox and
adding a dependency on bug 155955) when this happened.

Comment 1 Aleksey Nogin 2005-07-12 00:11:42 UTC
Created attachment 116632 [details]
Full process_bug.cgi output (including the complete error message)

Comment 2 Charles R. Anderson 2005-11-29 16:27:53 UTC
Created attachment 121592 [details]
full process_bug.cgi output

I got the same internal error from bugzilla when submitting
an additional bug to the FC5 Target Tracker depends list.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=150221

Bug 150221 depends on:

  added: ", 174503" to the end of the list.

Submit.

https://bugzilla.redhat.com/bugzilla/process_bug.cgi

Bug 150221 processed: FC5 Target Tracker

...

Internal Error

Comment 3 David Lawrence 2006-02-02 04:19:50 UTC
Should be fixed now. Thanks.


Note You need to log in before you can comment on or make changes to this bug.